Skip to main content
`Ctrl`+`K`

# DMSwarmCreateLocalVectorFromField

Creates a `Vec` object sharing the array associated with a given field

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCreateLocalVectorFromField(DM dm, const char fieldname[], Vec *vec)

Collective

## Input Parameters

- dm - a `DMSWARM`

- fieldname - the textual name given to a registered field

## Output Parameter

- vec - the vector

## Note

The vector must be returned using a matching call to DMSwarmDestroyLocalVectorFromField().

## See Also

`DM`, `DMSWARM`, `DMSwarmRegisterPetscDatatypeField()`, `DMSwarmDestroyLocalVectorFromField()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages